import ogr

from importer import Importer

TABLE_NAME="fixpoints"
PATH="Geodaesie/Festpunkte"


class Fixpoint(Importer):

    def getPath(self, base):
        return "%s/%s" % (base, PATH)


    def getTablename(self):
        return TABLE_NAME


    def isGeometryValid(self, geomType):
        return geomType == 1


    def isShapeRelevant(self, name, path):
        return True


    def createNewFeature(self, featureDef, feat, **args):
        newFeat = ogr.Feature(featureDef)
        newFeat.SetGeometry(feat.GetGeometryRef())

        if self.IsFieldSet(feat, "river_id"):
            newFeat.SetField("river_id", feat.GetField("river_id"))
        else:
            newFeat.SetField("river_id", self.river_id)

        if self.IsFieldSet(feat, "KM"):
            newFeat.SetField("km", feat.GetFieldAsDouble("KM"))
        else:
            return None

        if self.IsFieldSet(feat, "X"):
            newFeat.SetField("x", feat.GetFieldAsDouble("X"))

        if self.IsFieldSet(feat, "Y"):
            newFeat.SetField("y", feat.GetFieldAsDouble("Y"))

        if self.IsFieldSet(feat, "HPGP"):
            newFeat.SetField("HPGP", feat.GetField("HPGP"))

        return newFeat

